function effectPanelView(showSampleRate, showEQ) {
	var topGap = 16; // Sets vertical positon of EQ section
	var sampleRateSectionHeight = 0; // Sets vertical positon of EQ section
	if (showSampleRate) {
		sampleRateSectionHeight = 45;
	}
    var intrinsicHeight = topGap;
    if (showEQ)
    {
        intrinsicHeight = (intrinsicHeight + gEqualizerHeight + sampleRateSectionHeight + 25);
    }
	return {
		nsClass: "GXDrawView", 
		gxValueKeyPath: "",
		gxIntrinsicHeight: intrinsicHeight, // Determines height between bottom of EQ and effects list
		axIsIgnored: true,
		axTitle: "Advanced Settings",
		gxLayout: [
			   "H:|-0-[self]-0-|",
			   "V:|-"+(sampleRateSectionHeight + topGap + 3)+"-[eqPreset]-8-[eqSection]-(-20)-[div2(1)]-5-|",
			   "V:|-"+(topGap + 3.5)+"-[balanceSection(30)]-4.5-[div1(1)]",
			   "H:|-11-[balanceSection(270)]-(>=0)-[sampleRatePopup(155)]-16.5-|&alignBaseline",
			   "H:[eqPresetLabel]-5-[eqPreset(175)]-(-122.5)-[centerV]",
			   "V:[centerV]-(<=0)-[eqSection]&alignCenterX",
			   "V:[self]-(<=0)-[centerV]&alignCenterX",
		],
		gxLayerZPosition: kSourceListAdvancedElementLevel,
		gxChildViews: {
			"centerV" : { nsClass: GXDrawView },
			"balanceSection": {
				nsClass: "GXDrawView",
				gxIntrinsicHeight: 30,
				gxBaselineOffset: 10,
				gxShowOnKey: "showPanControl",
				gxValueKeyPath: "",
				gxLayout: [
					"H:[balanceLabel]-5-[panSliderLabelLeft]-0-[panSlider(144)]-2-[panSliderLabelRight]&alignBaseline",
				],
				gxChildViews: {
					panSlider: {
						"+": "SliderPointy",
						gxIntrinsicHeight: 30,
						isMainUISlider: true,
						gxDetents: "-1, 0, 1",
						gxTrackPainter: {
							"+": "SliderTrack",
							"on": {
								gxCornerRadii: "1, 1, 1, 1",
								gxEdgeInsets: "0,0,0,0",     // on track is inset on left
								gxFrameColor: "name:fullGreen",
								gxFillColor: "name:fullGreen"
							},
						},
						gxTrackMidRatio: 0.0,
						gxSliderTrackStyling: 2,
						gxRangeMax: 1,
						gxRangeMin: -1,
						gxLayout: [
							"H:|-0-[selfLabel(80)]-5-[self]",
						],
						axFormatter: "AXBalanceSliderFormatter",
						gxValueKeyPath: "balance",
						gxReadoutKeyPath: "balance",
						gxLabelText: null,
						gxShowOnKey: "showPanControl", // Important for removing from searchable responders
						axTitle: "Balance",
						gxToolTip: "Balance all audio being sent to the system output",
					},
					balanceLabel: {
						"+": "LabelView.size13.right",
						gxIntrinsicHeight: 25,
						gxBaselineOffset: 5,
						gxDefaultValue: "Balance:",
						axIsIgnored: true,
					},
					panSliderLabelLeft: {
						"+": "LabelView.size13.right",
						gxIntrinsicHeight: 25,
						gxBaselineOffset: 5,
						gxDefaultValue: "L",
						axIsIgnored: true,
					},
					panSliderLabelRight: {
						"+": "LabelView.size13.left",
						gxIntrinsicHeight: 25,
						gxBaselineOffset: 5,
						gxDefaultValue: "R",
						axIsIgnored: true,
					},
				}
			},
			"sampleRatePopup" : {
				"+" : "PopupMenuView", 
				gxIntrinsicHeight: 27,
				gxBackPainter: {
					"+": "FlatButtonBack",
					gxEdgeInsets: "1.5, 1.5, 1.5, 1.5",
				},
				gxForePainter: {
					"+": "FlatButtonFore.size13.left",
					gxMonospacedDigits: false,
					gxEdgeInsets: "10,0,0,0",
				},
				gxLabelText: "Sample Rate:",
				gxMenuItemsKeyPath: "sampleRateMenuItems",
				gxValueKeyPath: "setSampleRate",
				gxHideOnNilValue: true,
				axTitle: "Sample Rate Selection",
				gxToolTipKeyPath: "sampleRateToolTip",
			},
			"eqPreset": {
				"+": "PopupMenuView",
				nsClass: "SoundSource.TCEqualizerPopupMenu",
				gxIntrinsicHeight: 27,
				gxBackPainter: {
					"+": "FlatButtonBack",
					gxEdgeInsets: "1.5, 1.5, 1.5, 1.5",
				},
				gxForePainter: {
					"+": "ControlFore.size13.fontColor.left",
					gxEdgeInsets: "10,0,0,0",
					gxIconAlignment: "{0,0.55}",
				}, 
				gxPresetStorageKey: "EQ10CustomPresets",
                gxPresetValueKeyPath: "eqState.raSaveToPlist",
				gxLabelText: "Equalizer:",
				gxMenuItems: [ 
					menuItem("-Built-in Presets", ""),
				],
				gxShowOnKey: "hasEffectsSection",
				gxIgnoreNextKeyView: (showEQ == false),
				gxValueKeyPath: "eqState.presetName",
				axTitle: "Equalizer Preset",
				gxToolTipKeyPath: "eqPresetToolTip" 
			},
			"eqSection": equalizerView(630, gEqualizerHeight, showEQ),
			"div1" : {
				"+" : "PanelDivider",
				gxShowOnKey: "showPanControl",
				gxValueKeyPath: "",
				gxLayout : ["H:|-22-[self]-17-|"],
			},
			"div2" : {
				"+" : "PanelDivider",
				gxLayout : ["H:|-22-[self]-17-|"],
			},
			
			
		},
	};
};
